<?php
/*-------------------------------------------------------+
| PHPFusion Content Management System
| Copyright (C) PHP Fusion Inc
| https://phpfusion.com/
+--------------------------------------------------------+
| Filename: 1.5.0.upgrade.inc
| Author: karrak
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
$inf_version = '1.6.0';
require_once INCLUDES."infusions_include.php";

$locale = fusion_get_locale();

$check_array = [
    'team_subject' => " ADD team_subject VARCHAR(200) NOT NULL DEFAULT '' AFTER team_pic",
];

foreach ( $check_array as $key => $value ) {
    if ( !column_exists( DB_MYTEAM, $key ) ) {
        $inf_altertable[] = DB_MYTEAM . $value;
    }
}

// Insert new and old settings tables to Infusions table
$settings = get_settings( TEAM_FOLDER );
$check_array = [
    'team_carousel' => 0,
];
foreach ( $check_array as $key => $value ) {
    if ( !isset( $settings[$key] ) ) {
        $inf_insertdbrow[] = DB_SETTINGS_INF . " (settings_name, settings_value, settings_inf) VALUES ('" . $key . "', '" . $value . "', '" . TEAM_FOLDER . "')";
    }
}

$check_array = [
    'tgroup_parent' => " DROP tgroup_parent"
];

foreach ( $check_array as $key => $value ) {
    if ( column_exists( DB_PREFIX . "my_team_group", $key, FALSE ) ) {
        $inf_altertable[] = DB_PREFIX . "my_team_group" . $value;
    }
}
